<?php

return [
    'ctrl' => [
        'title' => 'IRRE sorting test parent record',
        'label' => 'name'
    ],
    'columns' => [
        'name' => [
            'label' => 'Name',
            'config' => [
                'type' => 'input'
            ]
        ],
        'children' => [
            'label' => 'Children IRRE records',
            'config' => [
                'type' => 'inline',
                'foreign_table' => 'tx_test_child',
                'foreign_sortby' => 'sorting',
                'appearance' => [
                    'useSortable' => true,
                    'enabledControls' => [
                        'sort' => true,
                        'dragdrop' => true
                    ]
                ],
            ]
        ]
    ],
    'types' => [
        0 => [
            'showitem' => 'name,children'
        ]
    ]
];
